Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin
Class Jetty6PluginWebAppContext

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler
              org.mortbay.jetty.handler.AbstractHandlerContainer
                  org.mortbay.jetty.handler.HandlerWrapper
                      org.mortbay.jetty.handler.ContextHandler
                          org.mortbay.jetty.servlet.Context
                              org.mortbay.jetty.webapp.WebAppContext
                                  org.mortbay.jetty.plugin.Jetty6PluginWebAppContext

All Implemented Interfaces:
  LifeCycle, Handler, HandlerContainer, Server.Graceful, Attributes

    public class Jetty6PluginWebAppContext

extends WebAppContext

Jetty6PluginWebAppContext

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.servlet.Context
`Context.SContext`

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.mortbay.jetty.webapp.WebAppContext
`ERROR_PAGE, WEB_DEFAULTS_XML`

Fields inherited from class org.mortbay.jetty.servlet.Context
`_securityHandler, _servletHandler, _sessionHandler, NO_SECURITY, NO_SESSIONS, SECURITY, SESSIONS`

Fields inherited from class org.mortbay.jetty.handler.ContextHandler
`_scontext, MANAGED_ATTRIBUTES`

Fields inherited from class org.mortbay.jetty.handler.AbstractHandler
`_string`

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`Jetty6PluginWebAppContext()`

Method Summary
`void` | `configure()`
`void` | `doStart()`
`void` | `doStop()`
`java.util.List` | `getClassPathFiles()`
`java.lang.String` | `getContextPath()`
`java.io.File` | `getJettyEnvXmlFile()`
`java.io.File` | `getWebXmlFile()`
`void` | `setClassPathFiles(java.util.List classpathFiles)`
`void` | `setContextPath(java.lang.String path)`
`void` | `setJettyEnvXmlFile(java.io.File jettyEnvXmlFile)`
`void` | `setWebXmlFile(java.io.File webXmlFile)`

Methods inherited from class org.mortbay.jetty.webapp.WebAppContext
`addEventListener, addWebApplications, addWebApplications, addWebApplications, addWebApplications, dumpUrl, getConfigurationClasses, getConfigurations, getCurrentWebAppContext, getDefaultsDescriptor, getDescriptor, getExtraClasspath, getOverrideDescriptor, getPermissions, getResource, getResourceAlias, getResourceAliases, getServerClasses, getSystemClasses, getTempDirectory, getUnavailableException, getWar, getWebInf, handle, isCopyWebDir, isDistributable, isExtractWAR, isLogUrlOnStart, isParentLoaderPriority, isProtectedTarget, isTempWorkDirectory, loadConfigurations, removeResourceAlias, resolveWebApp, setClassLoader, setConfigurationClasses, setConfigurations, setCopyWebDir, setDefaultsDescriptor, setDescriptor, setDistributable, setEventListeners, setExtraClasspath, setExtractWAR, setLogUrlOnStart, setOverrideDescriptor, setParentLoaderPriority, setPermissions, setResourceAlias, setResourceAliases, setServerClasses, setSystemClasses, setTempDirectory, setWar, startContext, toString`

Methods inherited from class org.mortbay.jetty.servlet.Context
`addFilter, addFilter, addFilter, addServlet, addServlet, addServlet, getSecurityHandler, getServletHandler, getSessionHandler, setSecurityHandler, setServletHandler, setSessionHandler`

Methods inherited from class org.mortbay.jetty.handler.ContextHandler
`addLocaleEncoding, clearAttributes, getAllowNullPathInfo, getAttribute, getAttributeNames, getAttributes, getBaseResource, getClassLoader, getClassPath, getConnectorNames, getCurrentContext, getDisplayName, getErrorHandler, getEventListeners, getHosts, getInitParameter, getInitParameterNames, getInitParams, getLocaleEncoding, getMaxFormContentSize, getMimeTypes, getResourceBase, getResourcePaths, getServletContext, getVirtualHosts, getWelcomeFiles, isCompactPath, isShutdown, loadClass, removeAttribute, setAllowNullPathInfo, setAttribute, setAttributes, setBaseResource, setCompactPath, setConnectorNames, setDisplayName, setErrorHandler, setHosts, setInitParams, setMaxFormContentSize, setMimeTypes, setResourceBase, setServer, setShutdown, setVirtualHosts, setWelcomeFiles`

Methods inherited from class org.mortbay.jetty.handler.HandlerWrapper
`addHandler, expandChildren, getHandler, removeHandler, setHandler`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandlerContainer
`expandHandler, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandler
`destroy, getServer`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Constructor Detail

### Jetty6PluginWebAppContext

    public Jetty6PluginWebAppContext()

Method Detail

### setContextPath

    public void setContextPath(java.lang.String path)

  Overrides:
    `setContextPath` in class `ContextHandler`
  Parameters:
    `path` - The _contextPath to set.

### getContextPath

    public java.lang.String getContextPath()

  Overrides:
    `getContextPath` in class `ContextHandler`
  Returns:
    Returns the _contextPath.

### setClassPathFiles

    public void setClassPathFiles(java.util.List classpathFiles)

### getClassPathFiles

    public java.util.List getClassPathFiles()

### setWebXmlFile

    public void setWebXmlFile(java.io.File webXmlFile)

### getWebXmlFile

    public java.io.File getWebXmlFile()

### setJettyEnvXmlFile

    public void setJettyEnvXmlFile(java.io.File jettyEnvXmlFile)

### getJettyEnvXmlFile

    public java.io.File getJettyEnvXmlFile()

### configure

    public void configure()

### doStart

    public void doStart()
                 throws java.lang.Exception

  Overrides:
    `doStart` in class `WebAppContext`
  Throws:
    `java.lang.Exception`

### doStop

    public void doStop()
                throws java.lang.Exception

  Overrides:
    `doStop` in class `WebAppContext`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.